Package org.eclipse.zest.core.viewers

# Interface IEntityStyleProvider

All Superinterfaces:
  `IDisposable`

@Deprecated(since="1.19", forRemoval=true) public interface IEntityStyleProvider extends IDisposable
Deprecated, for removal: This API element is subject to removal in a future version.
Use `EntityStyleDecorator` instead. This interface will be removed after the 2028-09 release.
An extension to Label providers for graphs. Gets specific details about the style of an entity before it is created. This style provider offers: -Background and forground colours -Hilighted and unhighlighted colours (colours defined by selections). -Border color. -Highlighted and unhighlighted colours for borders. -Border width -Font for text inside the entity. Any method may return null if the Zest defaults are preferred. NOTE: It is up to the implementors of this interface to dispose of any Colors or Fonts that are created by this class. The dispose() method will be called at the end of the entity's life-cycle so that this class may dispose of its resources.

See Also:
  - `IColorProvider`
Tag
  bug(151327-Styles) : created to solve this bug

## Method Summary

Modifier and Type
Method
Description
`boolean`
`fisheyeNode(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Color`
`getBackgroundColour(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Color`
`getBorderColor(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Color`
`getBorderHighlightColor(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`int`
`getBorderWidth(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Color`
`getForegroundColour(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`Color`
`getNodeHighlightColor(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.
`org.eclipse.draw2d.IFigure`
`getTooltip(Object entity)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from interface org.eclipse.ui.services.IDisposable

`dispose`

## Method Details

### getNodeHighlightColor

@Deprecated(since="1.19", forRemoval=true) Color getNodeHighlightColor(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the forground colour of this entity. May return null for defaults. Any resources created by this class must be disposed by this class.

Parameters:
  `entity` - the entity to be styled.
Returns:
  the forground colour of this entity.
See Also:
  - `IDisposable.dispose()`

### getBorderColor

@Deprecated(since="1.19", forRemoval=true) Color getBorderColor(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the background colour for this entity. May return null for defaults. Any resources created by this class must be disposed by this class.

Parameters:
  `entity` - the entity to be styled.
Returns:
  the background colour for this entity.
See Also:
  - `IDisposable.dispose()`

### getBorderHighlightColor

@Deprecated(since="1.19", forRemoval=true) Color getBorderHighlightColor(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the border highlight colour for this entity. May return null for defaults. Any resources created by this class must be disposed by this class.

Parameters:
  `entity` - the entity to be styled.
Returns:
  the border highlight colour for this entity.
See Also:
  - `IDisposable.dispose()`

### getBorderWidth

@Deprecated(since="1.19", forRemoval=true) int getBorderWidth(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the border width for this entity. May return -1 for defaults.

Parameters:
  `entity` - the entity to be styled.
Returns:
  the border width, or -1 for defaults.

### getBackgroundColour

@Deprecated(since="1.19", forRemoval=true) Color getBackgroundColour(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the colour that this node should be coloured. This will be ignored if getNodeColour returns null. Any resources created by this class must be diposed by this class.

Parameters:
  `entity` - The entity to be styled
Returns:
  The colour for the node
See Also:
  - `IDisposable.dispose()`

### getForegroundColour

@Deprecated(since="1.19", forRemoval=true) Color getForegroundColour(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.

### getTooltip

@Deprecated(since="1.19", forRemoval=true) org.eclipse.draw2d.IFigure getTooltip(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the tooltop for this node. If null is returned Zest will simply use the default tooltip.

Parameters:
  `entity` -

### fisheyeNode

@Deprecated(since="1.19", forRemoval=true) boolean fisheyeNode(Object entity)
Deprecated, for removal: This API element is subject to removal in a future version.